• 1
  • 43
  • 44
  • 45(current)
  • 46
  • 47
  • 81
Release Experimental Google Music Addon
It's still returning the same amount for me. Any errors in log?
Reply
(2016-04-01, 11:02)jmh2002 Wrote: I can't seem to get the view modes to work 100% correctly. Some seem to work and some don't. But I'm not sure exactly how to troubleshoot this? In particular I can't seem to get songs to show in Media Info view. For the all the other views I'm still testing because Im getting some odd results.

From asking about views with other addons in the past I thought I would mention the following:

- other developers have mentioned that they needed to 'set content type' correctly in order for certain views to work.

Also, is it possible that when forcing views your addon is not allowing certain view codes to be set? I see that only four views are available: List, Big List, Thumbnail, and Media Info?

Here is a list of the view codes from my Xonfluence skin, which uses the same view codes as stock Confluence (MyMusicNav.xml):
I don't restrict the view ID, any number you fill in settings will be used.

I'm setting content type for songs and albums.

Please try to be more specific, like 'it fails when using view id X and listing playlist songs'.

Also check if it works with Confluence.

Thanks for testing.
Reply
Is there a way to log in on this addon with a Google Apps account? I get "invalid credentials..." when I try. The plugin assume [email protected], while my google account is [email protected].
Reply
(2016-04-01, 11:19)jmh2002 Wrote: oh PS: the 'I'm Feeling Lucky' playlist only seems to be returning a few songs now.

This is also happening on v1.7.3 so I guess google changed something.

(2016-04-01, 17:51)foreverguest Wrote: It's still returning the same amount for me. Any errors in log?

I PM'd you a log.
If I have helped you or increased your knowledge please click the 'Thumb Up - Like' button to show me your appreciation :)
For YouTube questions see the official thread here.
Reply
(2016-04-01, 19:46)foreverguest Wrote: I don't restrict the view ID, any number you fill in settings will be used.

I'm setting content type for songs and albums.

Please try to be more specific, like 'it fails when using view id X and listing playlist songs'.

Also check if it works with Confluence.

Thanks for testing.

Ill try to do more testing with this later when I have more time Smile
If I have helped you or increased your knowledge please click the 'Thumb Up - Like' button to show me your appreciation :)
For YouTube questions see the official thread here.
Reply
Hi

Been using this addon for a while, with no major issues - now it cant get it to load at all now

this is the error i get - using kodi on a fire tv



any ideas - i've tried deleting the addon - folders - .db files - will not load

update - if i remove the repo - delete all files and install version plugin.audio.googlemusic.exp-1.7.2 - it works - if i update to the latest version it gives the error above

---- removed log
Reply
(2016-04-05, 22:16)maxriot Wrote: Hi

Been using this addon for a while, with no major issues - now it cant get it to load at all now

this is the error i get - using kodi on a fire tv

any ideas - i've tried deleting the addon - folders - .db files - will not load

update - if i remove the repo - delete all files and install version plugin.audio.googlemusic.exp-1.7.2 - it works - if i update to the latest version it gives the error above

Yeah, I think I have found the problem, don't know why it didn't happen to me, please try version below:
plugin.audio.googlemusic.exp-1.8.1
Reply
(2016-04-05, 22:45)foreverguest Wrote:
(2016-04-05, 22:16)maxriot Wrote: Hi

Been using this addon for a while, with no major issues - now it cant get it to load at all now

this is the error i get - using kodi on a fire tv

any ideas - i've tried deleting the addon - folders - .db files - will not load

update - if i remove the repo - delete all files and install version plugin.audio.googlemusic.exp-1.7.2 - it works - if i update to the latest version it gives the error above

Yeah, I think I have found the problem, don't know why it didn't happen to me, please try version below:
plugin.audio.googlemusic.exp-1.8.1

addon updated ok to new version - it opened no problem then failed as soon as i tried to open a folder, backed out - and addon will not open again.
tried a fresh install of .1.8.1 - same error. wont open.

back to 1.7.2 now - working ok
Reply
I get error on android nexus player it was working prior to the update
Reply
I hope we nail it this time:
plugin.audio.googlemusic.exp-1.8.2
Reply
getting this on the new build...

http://pastebin.com/V4UVEBa9

Edit: 1.7.2 works fine
Reply
(2016-04-06, 06:02)foreverguest Wrote: I hope we nail it this time:
plugin.audio.googlemusic.exp-1.8.2

That's it working now for me, thanks :-)
Reply
I just installed OpenElec on my new Media PC, and installed this plugin following this howto: https://seo-michael.co.uk/how-to-add-goo...xbmc-kodi/

I get until the end, to "Now when you launch Google Play Music"...
At that point, OpenElec tells me "Google Music EXP Error".
Looking into the kodi.log file, clicking on the "Google Music EXP" error triggers these log entries:
http://pastebin.com/Zdtg34Wb

The installed Google Music EXP Version is 1.8.2
Help please?

EDIT: Just read further up on this page that the plugin appends @gmail.com to the username. I input my complete email address as my username. If the plugin appended @gmail.com to that (resulting in [email protected]@gmail.com), then it obviously won't work. However, that error does not look like an authentication problem to me. And I would expect an authentication problem to be reported in the GUI, without having to dig into log files...
I am at work atm, so It'll be a few hours before I can test changing my username.

EDIT2:
- removed @gmail.com from username, still same errors in log.
- Replaced log entries with a pastebin link
- the pastebin contains all log entries generated by clicking on "Google Music EXP" instead of just the errors. It's not much more, and maybe the context helps.
Reply
I'm getting errors, no matter what version I use. I tried 1.81, 1.82, 1.8 and even 1.72, always error. Here is the log with 1.8.2, something to do with database if I understand correctly:

google music
Reply
Just a reminder for new users, it's against the forum rules to post logs, or snippets of logs directly. Please edit your posts.

See here: http://kodi.wiki/view/Debug_log

Do NOT post your logs directly in a forum. Always use a paste site like pastebin.com or xbmclogs.com. Post the link to your pasted log in the forum.
If I have helped you or increased your knowledge please click the 'Thumb Up - Like' button to show me your appreciation :)
For YouTube questions see the official thread here.
Reply
  • 1
  • 43
  • 44
  • 45(current)
  • 46
  • 47
  • 81

Logout Mark Read Team Forum Stats Members Help
Experimental Google Music Addon17
This forum uses Lukasz Tkacz MyBB addons.